curl --request GET \
--url https://marketplace-api.fabric.inc/v1/brands/{brand_id}/connections/{id}/departments/{department_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://marketplace-api.fabric.inc/v1/brands/{brand_id}/connections/{id}/departments/{department_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://marketplace-api.fabric.inc/v1/brands/{brand_id}/connections/{id}/departments/{department_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1418,
"retailer": {
"id": 1233,
"name": "fabric Merchant",
"code": "fabric-merchant",
"logo_url": "https://assets.revcascade.com/retailers/d8b42096-5e46-41e4-bde0-80c17d3d3a52",
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",
"joined_at": "2022-05-27T03:07:59.000Z",
"is_3pm": false,
"is_rcn_retailer": false,
"is_onboarded": true,
"platform": "fabric",
"requires_subscription": "disabled",
"brand_permit_creation_allowed": true,
"website": "https://www.fabric.inc",
"status": "active",
"indexing_template_id": null
},
"owner_user": {
"id": 1002,
"first_name": "Kyle",
"last_name": "Stainer",
"title": "Engineering",
"status": "active",
"type": "standard",
"photo_url": "https://images.revcascade.com/users/2c5346e8b01f40de8977d29ee038f995/photo.jpg",
"profile_photo": "https://images.revcascade.com/users/2c5346e8b01f40de8977d29ee038f995/photo.jpg",
"is_me": false
},
"manager_user": null,
"name": "fabric Merchant Apparel",
"code": "fabric-merchant-general",
"sample_template_url": "https://res.cloudinary.com/revcascade/raw/upload/v1658950690/sample-templates/ApparelBad.csv",
"description": null,
"template": {
"id": 3245,
"name": "fabric General Merchandise",
"code": "fabric-general-merchandise"
},
"brand_ruleset": {
"id": 36
},
"retailer_ruleset": {
"id": 37
},
"is_active": true
}Get a specific departments details
The Get Proposal Department Details endpoint provides comprehensive information for a specific proposal department. With this, you can see all associated product templates and rulesets, and easily download a sample template if one’s available.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique brand ID. In the Dropship UI this is called the Supplier ID. To find your Supplier ID, click your supplier name in the top nav.
The unique connection id. This ID is automatically generated when a connection is created.
The ID of the department. It can be retrieved from the response provided by the get departments/ endpoint.
Response
Proposal details
Represents a product feed configuration for a retailer, including associated users, templates, and rulesets.
The unique identifier of the feed.
1418
Details about the associated retailer.
Show child attributes
Show child attributes
Details about the user who owns this feed.
Show child attributes
Show child attributes
Details about the manager user, if any.
null
The name of the feed.
"fabric Merchant Apparel"
A unique code for the feed.
"fabric-merchant-general"
URL to a sample template for this feed.
"https://res.cloudinary.com/revcascade/raw/upload/v1658950690/sample-templates/ApparelBad.csv"
A description of the feed.
null
Details about the template used for this feed.
Show child attributes
Show child attributes
Details about the brand ruleset applied to this feed.
Show child attributes
Show child attributes
Details about the retailer ruleset applied to this feed.
Show child attributes
Show child attributes
Indicates if the feed is active.
true
Was this page helpful?
